/****************************************************************************
** $Id: qquestionbox.h,v 0.1 1996/10/19 10:15:42 $
**
** Definition of QQuestionBox class
**
** Created : 961019
**
** Copyright (C) 1996 Alejandro Aguilar Sierra <asierra@servidor.unam.mx>
** All rights reserved.
**
** A question box, while the qt guys provide one.
**
*****************************************************************************/

#ifndef QQUESTIONBOX_H
#define QQUESTIONBOX_H

#include "qdialog.h"

class QLabel;
class QPushButton;


class QQuestionBox : public QDialog
{
    Q_OBJECT
public:
    static int question( const char *caption,
			const char *text,  
			QWidget *parent=0, const char *name=0 );

    QQuestionBox( QWidget *parent=0, const char *name=0 );

    const char *text()		const;
    void	setText( const char * );

    const char *buttonText()	const;
    void	setButtonText( const char * );

    void	adjustSize();

protected:
    void	resizeEvent( QResizeEvent * );

private:
    QLabel	*label;
    QPushButton *yesB;
    QPushButton *noB;
    void	*reserved1;
    void	*reserved2;

private:	// Disabled copy constructor and operator=
    QQuestionBox( const QQuestionBox & ) {}
    QQuestionBox &operator=( const QQuestionBox & ) { return *this; }
};


#endif // QQUESTIONBOX_H
